#ifdef NO_DEBUG
# define DEBUG(x)
#else
# define DEBUG(x)	(*kernel->debug)x
#endif

#ifdef NO_ALERT
# define ALERT(x)
#else
# define ALERT(x)	(*kernel->alert)x
#endif

#ifdef NO_TRACE
# define TRACE(x)
#else
# define TRACE(x)	(*kernel->trace)x
#endif

#ifdef NO_FATAL
# define FATAL(x)
#else
# define FATAL(x)	(*kernel->fatal)x
#endif

#define CCONWS (*kernel->dos_tab[9])
#define TGETDATE (*kernel->dos_tab[42]) /* For stamping cache */
#define TGETTIME (*kernel->dos_tab[44])
#define KBSHIFT (*kernel->bios_tab[11]) /* For installation purposes */
#define PGETPID (*kernel->dos_tab[0x10b])
#define DRVCHNG (*kernel->drvchng)
#define KMALLOC (*kernel->kmalloc)
#define KFREE (*kernel->kfree)
#define STRNICMP (*kernel->strnicmp)
#define STRICMP (*kernel->stricmp)
#define STRLWR (*kernel->strlwr)
#define STRUPR (*kernel->strupr)
#define SPRINTF (*kernel->sprintf)
#define DOSTIM (*kernel->dostim)
#define NAP (*kernel->nap)
#define SLEEP (*kernel->sleep)
#define WAKE (*kernel->wake)
#define WAKESELECT (*kernel->wakeselect)
#define DCNTL (*kernel->dos_tab[0x130])
#define FSELECT (*kernel->dos_tab[0x11d])
#define MOUNT_POINT "u:\\isofs"

#define FOPEN  (*kernel->dos_tab[61])
#define FCLOSE (*kernel->dos_tab[62])
#define FREAD  (*kernel->dos_tab[63])
#define FWRITE (*kernel->dos_tab[64])
#define FSFIRST (*kernel->dos_tab[78])
#define FCNTL  (*kernel->dos_tab[0x104])

#define ADDROOTTIMEOUT (*kernel->addroottimeout)
#define CANCELROOTTIMEOUT (*kernel->cancelroottimeout)
#define CANCELTIMEOUT  (*kernel->canceltimeout)
#define Domain() (*kernel->dos_tab[0x119])(-1)

typedef struct timeout {
	struct timeout *next;
	struct proc	*proc;
	long	when;
	void	(*func) P_((struct proc *)); /* function to call at timeout */
	short	flags;
} TIMEOUT;
