flock   = 0x43e
_hz_200	= 0x4ba

s_data	  = 0x88
s_icr     = 0x89
s_mode    = 0x8a
s_tcr     = 0x8b
s_idstat  = 0x8c
s_dmastat = 0x8d
s_targrcv = 0x8e	
s_inircv  = 0x8f

STUPIDCONST = 0x18d	/* s_dmastat | 0x100 (0x100 : do dma writing) */

DMA_ACCESS = 0xffff8604
DMA_STATUS = 0xffff8606
DMA_MODE   = 0xffff8606
WDSR       = 0xffff860f	
NCMD       = 6
LCMD       = 10

#define WDCWDL DMA_ACCESS

STA =	3		

#define MFP	0xfa01:w
#define GPIP	MFP
#define AER 	0xfa03:w
#define DDR	0xfa05:w
#define IERA	0xfa07:w
#define IERB	0xfa09:w
#define IPRA	0xfa0b:w
#define IPRB	0xfa0d:w
#define ISRA	0xfa0f:w
#define ISRB	0xfa11:w
#define IMRA	0xfa13:w
#define IMRB	0xfa15:w
#define VR	0xfa17:w
#define TACR	0xfa19:w
#define TBCR	0xfa1b:w
#define TCDCR	0xfa1d:w
#define TADR	0xfa1f:w
#define TBDR	0xfa21:w
#define TCDR	0xfa23:w
#define TDDR	0xfa25:w
#define SCR	0xfa27:w
#define UCR	0xfa29:w
#define RSR	0xfa2b:w
#define TSR	0xfa2d:w
#define UDR	0xfa2f:w
